| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
pngwio.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions
void | png_write_data (png_structp png_ptr, png_const_bytep data, png_size_t length)
void PNGCBAPI | png_default_write_data (png_structp png_ptr, png_bytep data, png_size_t length)
void | png_flush (png_structp png_ptr)
void PNGCBAPI | png_default_flush (png_structp png_ptr)
void PNGAPI | png_set_write_fn (png_structp png_ptr, png_voidp io_ptr, png_rw_ptr write_data_fn, png_flush_ptr output_flush_fn)

## Function Documentation

void PNGCBAPI png_default_flush | ( | png_structp | png_ptr | ) |

Definition at line 137 of file pngwio.c.

void PNGCBAPI png_default_write_data | ( | png_structp | png_ptr,
|  | png_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 51 of file pngwio.c.

void png_flush | ( | png_structp | png_ptr | ) |

Definition at line 129 of file pngwio.c.

void PNGAPI png_set_write_fn | ( | png_structp | png_ptr,
|  | png_voidp | io_ptr,
|  | png_rw_ptr | write_data_fn,
|  | png_flush_ptr | output_flush_fn
| ) |  |

Definition at line 180 of file pngwio.c.

void png_write_data | ( | png_structp | png_ptr,
|  | png_const_bytep | data,
|  | png_size_t | length
| ) |  |

Definition at line 33 of file pngwio.c.